local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Cooking(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Cooking")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



-- Introduction


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we move into Cooking, we will dive into how we can source our crafting materials along with going over which items are best for sales as well as other tip bits we can do make the most out of this profession that anyone can use.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Material Sourcing

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Material Sourcing:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Sourcing are materials for Cooking is buy far a crucial part of making gold. The aim is to get the more materials for a lower cost. There are two ways to source what we need and they are either Farming or buying.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Farming is by far the more cost efficient but, I regards to time this is not the case. If this route is decided upon, the thing you should be farming for is the high valued materials. These could be items of which are super expensive and to increase profits, this would be the way to go.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("As for buying, this is the most time effective as this reduces the amount of time spent sourcing materials and with that we are also able to scale this more effectively. In regards to farming your volume of materials you can source is locked to that Items Per Hour statistic but as for sourcing materials from the auction house we are buying those materials at a reasonable price in which we have the potential to buy more than we would if were farming, meaning that we can create and sell more by using the Buying method is way. This is all dependant on the person however, but in regards to time, volume and profits sourcing your materials from the auction house is the best way to scale you investments while also reducing unnecessary time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Current Cooking 

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Current Cooking:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("When starting off with Cooking you should first start buy getting into current content cooking crafts . This is because doing this, it will get you into this market along with easing you into how making gold with this profession works.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("The thing to keep in mind for this is to craft is that Cooking is very profitable due to the crafting costs of materials to the sale price of Feast, Meals are largely substantial. However, this market is widely competitive and you will find your self in most cases relisting quite often to get the sales you require. Mainly you are able to make the most gold through sale on raid nights ( weekly resets ) and as such you should be buying you materials a couple of days prior to this due the prices dropping just before and this is one way to cover your overheads for crafting with Cooking.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("The keynote to take away is that Cooking is more of a Winning through shear volume Profession. This means that you will need to craft and sell large amounts to get decent returns for the time you spend on this. However, do not get discouraged at the sound of it as most current content crafts tend to be low barrier to entry in regards to crafting and is definitely a profession to start with if you are just getting into any form of crafting profession in general.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

--- Old World Cooking

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Old World Cooking:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("When it comes to old world crafts there are multiple which can be broken down into General, Play Time and Events. In this part we shall be going over General as there are not many but of which these are still very good at giving you high returns for making gold with this profession.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("The first is Bear Tartare, this is a movement speed buff food which is used for a lot  of speed running as well as gold farming. This is an item which is always in demand and is able to bring you in some steady gold when doing this profession. The recipe is obtained through slaying a rare within Stormheim. The rare if which is called Mordvigbjorn and has around a 64% chance of dropping the recipe so in essence within two kills you should have your recipe.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("The next craft also comes from the Legion expansion and this is obtained through a quests with Nomi in the Broken Isles Dalaran “Morale Booster”. Once obtained you are able to sell this item on for a decent chunk of gold though this does sell slower than most others so if you want to give this recipe a miss then not to worry.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Play Time Cooking

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Play Time Cooking:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we move by Play Time Cooking, it is probably wise to explain what these crafts are. These are items that can be crafted for fun essentially and as such they have abilities to change your appearance and provide weird and wacky results.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("The most notable which should be covered is the Savoury Deviate Delight crafting recipe. This can be farmed from inside and outside of the Wailing Caverns Dungeon or bought off of the Auction House for a fairly cheap price so the latter is most likely the best option. With this you will be taking the Fish “Deviate Fish” which can be farmed within the same area as the recipe from the pools. Here we are able to turn these fish into these delights and sell them on for a profit. As this is one of the oldest Cooking Crafts this still holds it's value throughout the years because of the buffs it can apply and is always in demand. This is something that should definitely be put into the gold making rotation for Cooking as this will provide steady returns for you moving through expansions into the future and should be regarded as a keynote craft for you to always have in supply on the Auction House.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Event Crafts

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Event Crafts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we have Event crafts, these are crafts in which we craft to either sell for people to obtain special achievements and quest hand ins. The most notable of which is the ones for the Winter Veil Event as these always sell throughout this period than most others. You will be wanting to learn the recipes through the Event vendor for copper so this will not break the bank. However, be prepared for high competition when crafting the Egg Nog and Ginger Bread Cookies for this event as they have tendency to sell fast but also drop in value as well so being first is always a factor to make the most gold with this event.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)












end